# Verify Meter Number

## Verify Meter no

<mark style="color:blue;">`GET`</mark> `{{base_url}}/verifyelect`

Provider: \
ABUJA, KADUNA,JOS, PH, IBADAN, IKEJA, EKO, ENUGU, KANO

#### Headers

| Name                                            | Type        | Description                      |
| ----------------------------------------------- | ----------- | -------------------------------- |
| authorization<mark style="color:red;">\*</mark> | PUBLIC\_KEY | Set value to `Bearer PUBLIC_KEY` |

#### Request Body

| Name                                       | Type   | Description                                        |
| ------------------------------------------ | ------ | -------------------------------------------------- |
| provider<mark style="color:red;">\*</mark> | String | e.g Distribution Company (Provider) as shown above |
| meterno<mark style="color:red;">\*</mark>  | String | Meter number                                       |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "status": true,
    "name": "IBRAHIM MARY OPE",
    "minvend": 200,
    "maxvend": 1000000,
    "vendtype": "PREPAID",
    "address": "4, ORAN STR 1, . Und St. Central Area"
}
```

{% endtab %}
{% endtabs %}

Take a look at how you might do this:

{% tabs %}
{% tab title="cURL" %}

```
curl --location --request GET 'https://api.oneappgo.com/v1/verifyelect?meterno=45022599083&provider=ABUJA' \
--header 'Authorization: Bearer PUBLIC_KEY'
```

{% endtab %}

{% tab title="NodeJS" %}

```
var request = require('request');
var options = {
  'method': 'GET',
  'url': 'https://api.oneappgo.com/v1/verifyelect?meterno=45020599183&provider=ABUJA',
  'headers': {
    'Authorization': 'Bearer PUBLIC_KEY'
  },
  formData: {

  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});

```

{% endtab %}

{% tab title="PHP - cURL" %}

```
$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.oneappgo.com/v1/verifyelect?meterno=45020599183&provider=ABUJA',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer PUBLIC_KEY'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

{% endtab %}

{% tab title="Python" %}

```
import requests

url = "https://api.oneappgo.com/v1/verifyelect?meterno=45020599183&provider=ABUJA"

payload={}
files={}
headers = {
  'Authorization': 'Bearer PUBLIC_KEY'
}

response = requests.request("GET", url, headers=headers, data=payload, files=files)

print(response.text)

```

{% endtab %}

{% tab title="Dart" %}

```
var headers = {
  'Authorization': 'Bearer PUBLIC_KEY'
};
var request = http.MultipartRequest('GET', Uri.parse('https://api.oneappgo.com/v1/verifyelect?meterno=45020599183&provider=ABUJA'));

request.headers.addAll(headers);

http.StreamedResponse response = await request.send();

if (response.statusCode == 200) {
  print(await response.stream.bytesToString());
}
else {
  print(response.reasonPhrase);
}

```

{% endtab %}
{% endtabs %}

### Sample Response

```json
{
    "status": true,
    "name": "IBRAHIM MARY OPE",
    "minvend": 200,
    "maxvend": 1000000,
    "vendtype": "PREPAID",
    "address": "4, ORAN STR 1, . Und St. Central Area"
}
```
